# hashrename
## Rename every file in a directory with its SHA1 hash.

hashrename is a small program to that renames every file in a given
directory by using (a portion) of its SHA1 hash. To clean up a messy
directory call `hashrename <path>` or just `hashrename` to use the current one.

### Example

```
$ hashrename ~/mid
Renaming files in /home/rnhmjoj/mid
Fugue in G Minor.mid -> 55474B5604.mid
Eine Kleine Nachtmusik (Lute).mid -> D229488066.mid
Moonlight Sonata 3rd Movement.mid -> EDB36A19CA.mid
Sonata Zapateado.mid -> F69717BF11.mid
Eine Kleine Nachtmusik (Harp).mid -> 9E0A082FB8.mid
Canon In D.mid -> 550C9091B5.mid
Elvira Madigan 2nd Movement.mid -> E7E4A4A14B.mid
Sonata Facile 1st Movement.mid -> 4FA4A360F5.mid
Moonlight Sonata 2nd Movement.mid -> 1BE8B96D66.mid
Fur Elise.mid -> 784DAA6AE2.mid
Toccata & Fugue.mid -> B457676FFD.mid
Moonlight Sonata 1st Movement.mid -> F5324BCA0D.mid
Files renamed successfully
```

### License

Copyright (C) 2015 Michele Guerini Rocco

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.

